classification
Title: re-enable test in nntplib
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7
process
Status: closed Resolution:
Dependencies: Superseder: test_nntplib: sporadic failures, test_article_head_body()
View: 19613
Assigned To: Nosy List: Marcin Niemira, martin.panter, vstinner
Priority: normal Keywords: patch

Created on 2019-04-11 10:34 by Marcin Niemira, last changed 2019-04-14 06:52 by Marcin Niemira. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12783 closed n0npax, 2019-04-11 10:38
Messages (3)
msg339955 - (view) Author: Marcin Niemira (Marcin Niemira) Date: 2019-04-11 10:34
Disabled test in not failing anymore.

```./python -m test -u all -v test_nntplib -m test_article_head_body
== CPython 3.8.0a3+ (heads/feature/pep-572-improvement-in-smtplib-dirty:f4efa312d1, Apr 8 2019, 21:0) [GCC 7.3.0]
== Linux-4.15.0-46-generic-x86_64-with-glibc2.26 little-endian
== cwd: /home/n0npax/workspace/cpython/build/test_python_15162
== CPU count: 4
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 load avg: 1.13 [1/1] test_nntplib
test_article_head_body (test.test_nntplib.NetworkedNNTPTests) ... ok
test_article_head_body (test.test_nntplib.NetworkedNNTP_SSLTests) ... ok

----------------------------------------------------------------------

Ran 2 tests in 7.172s

OK

== Tests result: SUCCESS ==

1 test OK.

Total duration: 7 sec 282 ms
Tests result: SUCCESS
```
msg340021 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2019-04-12 10:30
Does the test still depend on real-world posts? If so, see Issue 19613. I don’t think the problem has been fixed.
msg340188 - (view) Author: Marcin Niemira (Marcin Niemira) Date: 2019-04-14 06:52
Hey,

Yes, it does. Closing issue and PR.

Cheers!
History
Date User Action Args
2019-04-14 06:52:04Marcin Niemirasetstatus: open -> closed

messages: + msg340188
stage: patch review -> resolved
2019-04-12 10:30:33martin.pantersetsuperseder: test_nntplib: sporadic failures, test_article_head_body()

messages: + msg340021
nosy: + martin.panter
2019-04-11 14:02:32SilentGhostsetnosy: + vstinner

type: behavior
components: + Tests
versions: + Python 3.7, Python 3.8
2019-04-11 10:38:43n0npaxsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12710
2019-04-11 10:34:58Marcin Niemiracreate